/***
 * Excerpted from "Domain-Driven Design Using Naked Objects",
 * published by The Pragmatic Bookshelf.
 * Copyrights apply to this code. It may not be used to create training material, 
 * courses, books, articles, and the like. Contact us if you are in doubt.
 * We make no guarantees that this code is fit for any purpose. 
 * Visit http://www.pragmaticprogrammer.com/titles/dhnako for more book information.
***/
public class JoeBloggsCustomerFixture extends AbstractCustomerFixture {
    public void install() {
        Person person = createCustomer("Mr", "Bloggs", "Joe");
        
        Customer customer = person.getRole(Customer.class);
        
        newCashPaymentMethod(customer, "Cash");
        newCreditCardPaymentMethod(
            customer, "Visa", "5555-1234-5678-9012", "09/2012");
        newCreditCardPaymentMethod(
            customer, "MC", "5555-5678-9012-1234", "02/2013");
        
        switchUser("sven");
        customer.modifyNotes("One of our best customers!");
    }
}
